Bug 324347 - Brush size slider switches back to x1 when clicking on the left part of it
Summary: Brush size slider switches back to x1 when clicking on the left part of it
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: git master (please specify the git hash!)
Platform: unspecified Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-01 10:38 UTC by Dmitry Kazakov
Modified: 2013-09-02 17:15 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Kdenlive combobox (4.24 KB, image/png)
2013-09-02 14:27 UTC, David REVOY
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Kazakov 2013-09-01 10:38:20 UTC
This is a really irritating behavior when one wants to select the brush size with the slider:

1) Imagine you want to set brush size to, e.g. 150px
2) Open Brush Settings panel (default size is 5px)
3) Set the multiplier to x100
3) Start dragging the slider: the multiplier is set to x1 again and you cannot select 150px :(
Comment 1 David REVOY 2013-09-02 14:16:28 UTC
I never liked the dropdown list 'x1' 'x10' 'x100' in the brush editor. 
I wish it was a simple 'size' slider working as the one found in the top toolbar ( the one next 'opacity' ).
Comment 2 David REVOY 2013-09-02 14:27:11 UTC
Created attachment 82110 [details]
Kdenlive combobox

I attach also a picture of the slider used by Kdenlive. The best combobox I used so far ( even better than the Blender one, IMO ).  These are drag&drop sliders ; text description is inside the bar. And last part ; act like a text field easy to edit , copy/paste. The slider works also with mouse-wheel ; and there is a right click menu 'reset value' .
Comment 3 Dmitry Kazakov 2013-09-02 17:15:27 UTC
Git commit 305785a7655d03918a6dd0732365eef7026e7400 by Dmitry Kazakov.
Committed on 02/09/2013 at 17:14.
Pushed by dkazakov into branch 'master'.

Fix the bug with flipping Multipliers of the Slider Spinbox

M  +11   -6    krita/ui/widgets/kis_multipliers_double_slider_spinbox.cpp
M  +1    -0    krita/ui/widgets/kis_slider_spin_box.cpp

http://commits.kde.org/calligra/305785a7655d03918a6dd0732365eef7026e7400